Loading...
Searching...
No Matches
freecontact.h File Reference
`#include <errno.h>`
`#include <map>`
`#include <math.h>`
`#include <stdexcept>`
`#include <stdint.h>`
`#include <string.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | freecontact::alilen_error
| Alignment length exception. More...
class | freecontact::icme_timeout_error
| Inverse covariance matrix estimation timeout exception. More...
class | freecontact::ali_t
| Protein sequence alignment. More...
struct | freecontact::contact_t
| Contact prediction. More...
struct | freecontact::parset_t
| Parameter set structure for predictor::run(). More...
class | freecontact::predictor
| Protein residue contact predictor. More...

## Namespaces

namespace | freecontact

## Macros

#define | LIBFREEC_API __attribute__ ((visibility ("default")))
#define | LIBFREEC_LOCAL __attribute__ ((visibility ("hidden")))

## Typedefs

typedef long long __m128i | freecontact::__attribute__((__vector_size__(16), __may_alias__))

## Functions

const parset_t | freecontact::ps_evfold (0.70, 0.0, 0.9, 1, 0.0, 0.5, false, 0.0, true, true, -1)
const parset_t | freecontact::ps_psicov (0.62, 0.03, 0.9, 5, 1.0, 0.0, true, 0.1, false, false, -1)
const parset_t | freecontact::ps_psicov_sd (0.62, 0.0, 0.9, 5, 1.0, 0.0, true, 0.1, false, false, 0.001)

## Variables

static const uint8_t | freecontact::aamap_gapidx = 20
static const uint8_t | freecontact::aamap []
static const uint8_t | freecontact::mapaa []

## Macro Definition Documentation

## LIBFREEC_API

#define LIBFREEC_API __attribute__ ((visibility ("default")))

Definition at line 31 of file freecontact.h.

## LIBFREEC_LOCAL

#define LIBFREEC_LOCAL __attribute__ ((visibility ("hidden")))

Definition at line 32 of file freecontact.h.